/*
 * @Descripttion: 指标管理 接口路径
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-11-09 10:15:36
 * @LastEditors: 无尘
 * @LastEditTime: 2020-11-12 11:26:09
 */

import getFetch from './get-fetch.js';

let api = {
  // 指标管理
  getTargetList: '/perfromance/total-performance-list', // 获取指标列表

  getDaySet: '/', // 获取日指标设置
  saveDaySet: {  // 保存日指标设置
    url: '/',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getSaleSet: '/', // 获取导购指标设置
  saveSaleSet: { // 保存导购指标设置
    url: '/',
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getYearList: '/setting/get-year-list', // 获取年份
  saveStorePerformance: { // 指标设置-新建门店指标
    url: '/setting/add-store-performance',
    method: 'post',
    useFormData: true,
    useIntercept: true
  },
};

api = getFetch(api, '/hb-app-performance-web');

export default api;
